local function setOS()
if ffi.os == "Windows" then
  WINDOWS=true
  MAC=false
  UNIX=false
  LINUX=false
  function os.name()
      return "Windows"
  end
  function os.slash()
    return "\\"
  end
  function os.rm()
    return "del /f "
  end
    function os.copy()
        return "copy "
    end
elseif ffi.os == "Linux" then
  WINDOWS=false
  UNIX=true
  LINUX=true
  MAC=false
  function os.name()
      return "Linux"
  end
  function os.slash()
    return "/"
  end
  function os.rm()
    return "rm -rf "
  end
    function os.copy()
        return "cp"
    end
elseif ffi.os == "OSX" then
  WINDOWS=false
  UNIX=true
  MAC=true
  LINUX=false
  function os.name()
      return "MacOS"
  end
  function os.slash()
    return "/"
  end
  function os.rm()
    return "rm -rf "
  end
    function os.copy()
        return "cp "
    end
end
end


return  setOS